.\"	$NetBSD: ch.4,v 1.2 1999/03/16 01:19:15 garbled Exp $
.\"
.Dd June 10, 1998
.Dt CH 4
.Os
.Sh NAME
.Nm ch
.Nd SCSI media changer driver
.Sh SYNOPSIS
.Cd "ch* at scsibus? target ? lun ?"
.Sh DESCRIPTION
The
.Nm
driver is essentially an
.Xr ioctl 2
interface to a robot on a
.Tn SCSI
bus - a device that will change media (e.g. tapes, CD-ROMs, etc)
in and out of drives for that media.
The
.Xr chio 1
utility program uses this interface to manipulate such robots.
.Sh FILES
.Bl -tag -width /dev/rsdXXXXX -compact
.It Pa /dev/ch Ns Ar u
.Tn SCSI
bus media changer unit
.Ar u
.El
.Pa /usr/include/sys/chio.h
.Sh DIAGNOSTICS
.Bl -diag
.It "ch%d: waiting %d seconds for changer to settle..."
Some changers require a long time to settle out,
to do tape inventory, for instance.
.It "ch%d: offline"
The changer is not responding.
.It "ch%d: warning, READ ELEMENT STATUS avail != count"
.It "ch%d: could not sense element address page"
.It "ch%d: could not sense capabilities page"
.El
.Sh SEE ALSO
.Xr chio 1 ,
.Xr ioctl 2 ,
.Xr cd 4 ,
.Xr intro 4 ,
.Xr scsi 4 ,
.Xr st 4
.Sh AUTHORS
.An Jason R. Thorpe
